Subject: Re: bug#46172: BUG failed to compute the derivation for Guix

From: Laurent Cournède <[email-masked]>
Date: Mon, 1 Feb 2021 09:10:52 +0100

Hello,

I've found the cause of the problem. Our laboratory's firewall have 
bloqued the address 141.80.181.40. I've asked to unblock it and now it 
works.

Thank for you help,

Laurent

-- 
Laurent Cournède
Institut des Matériaux Jean Rouxel (IMN)
https://www.cnrs-imn.fr
2 rue de la Houssinière
BP 32229 - 44322 NANTES CEDEX 3
Tél : 02.40.37.39.06

Le 29/01/2021 à 16:42, Laurent Cournède a écrit :
> Thank you for your answer,
>
> it seem's proxy failure (are only 80 and 443 ports used for pull?). 
> When I am outside (i.e. without proxy), it's working well...
>
> The new command gives the same error:
>
> # https_proxy=http://xxxx:yyyy/ http_proxy=http://xxxx:yyyy/ guix 
> time-machine --commit=dbf4561b00263d6c0cf7f294e1a6a8bebf382b46 -- 
> time-machine --commit=6a77596cab2c173b04efff0a271a8e3972ca7499 -- help
> Mise à jour du canal « guix » depuis le dépôt Git « 
> https://git.savannah.gnu.org/git/guix.git »...
> Mise à jour du canal « guix » depuis le dépôt Git « 
> https://git.savannah.gnu.org/git/guix.git »...
> Computing Guix derivation for 'x86_64-linux'... /substitute: guix 
> substitute: warning: ci.guix.gnu.org : la connexion ? ?chou?e : 
> Connexion refus?e
> substitute:
> substitute:
> substitute:
> substitute:
> substitute:
> @ substituter-started /gnu/store/mzfkrxd4w8vqrmyrx169wj8wyw7r8i37-bash 
> substitute
> substitute:
> guix substitute: error: connect: Connexion refus?e
> @ substituter-failed /gnu/store/mzfkrxd4w8vqrmyrx169wj8wyw7r8i37-bash  
> fetching path `/gnu/store/mzfkrxd4w8vqrmyrx169wj8wyw7r8i37-bash' 
> (empty status: '')
> Backtrace:
>           13 (primitive-load 
> "/gnu/store/vkgqimg8fz7zi1dyv4j7jmlj4ml1gsqr-compute-guix-derivation")
> In ice-9/eval.scm:
>     155:9 12 (_ _)
>     159:9 11 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-user) 
> 7f98428d0f?> ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
> In ./guix/store.scm:
>   2062:24 10 (run-with-store #<store-connection 256.99 7f9840c645f0> _ 
> #:guile-for-build _ #:system _ #:target _)
>    1896:8  9 (_ _)
> In ./guix/gexp.scm:
>    258:18  8 (_ _)
>    1123:2  7 (_ _)
>     982:2  6 (_ _)
>     843:4  5 (_ _)
> In ./guix/store.scm:
>   1944:12  4 (_ #<store-connection 256.99 7f9840c645f0>)
>    1362:5  3 (map/accumulate-builds #<store-connection 256.99 
> 7f9840c645f0> _ _)
>   1373:15  2 (_ #<store-connection 256.99 7f9840c645f0> _ _)
>    719:11  1 (process-stderr #<store-connection 256.99 7f9840c645f0> _)
> In ./guix/serialization.scm:
>      80:6  0 (read-int #<input-output: file 10>)
>
> ./guix/serialization.scm:80:6: In procedure read-int:
> ERROR:
>   1. &nar-error:
>       file: #f
>       port: #<input-output: file 10>
> guix time-machine: error: You found a bug: the program 
> '/gnu/store/vkgqimg8fz7zi1dyv4j7jmlj4ml1gsqr-compute-guix-derivation'
> failed to compute the derivation for Guix (version: 
> "6a77596cab2c173b04efff0a271a8e3972ca7499"; system: "x86_64-linux";
> host version: "dbf4561b00263d6c0cf7f294e1a6a8bebf382b46"; 
> pull-version: 1).
> Please report it by email to <[email-masked]>.
>
> All the best,
>
> Laurent
>